View Issue Details

IDProjectCategoryView StatusLast Update
0001084SOGoBackend Address Bookpublic2017-01-09 15:49
Reporterskliarie Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.4 
Fixed in Version3.2.5 
Summary0001084: Support photos import from LDIF file
Description

We use contagged to maintain contacts and upload photos for them:
http://www.cosmocode.de/en/opensource/contagged

While migrating to SOGo, the photos from the LDIF were not transferred.
See attached sample of such LDIF.

TagsNo tags attached.

Relationships

related to 0001878 new Allow export of address book as vcf file 

Activities

2011-01-16 11:08

 

arie.ldif (2,282 bytes)   
dn: cn=Arie Skliarouk,ou=addressbook,dc=thecompany,dc=com
jpegPhoto:: /9j/4AAQSkZJRgABAQEASABIAAD//gAXQ3JlYXRlZCB3aXRoIFRoZSBHSU1Q/9sAQ
 wAFAwQEBAMFBAQEBQUFBgcMCAcHBwcPCwsJDBEPEhIRDxERExYcFxMUGhURERghGBodHR8fHxMXI
 iQiHiQcHh8e/9sAQwEFBQUHBgcOCAgOHhQRFB4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eH
 h4eHh4eHh4eHh4eHh4eHh4eHh4e/8AAEQgAMAAlAwEiAAIRAQMRAf/EABkAAAMBAQEAAAAAAAAAA
 AAAAAAGBwUIA//EADAQAAEDAgQFAwMDBQAAAAAAAAECAwQFEQAGEiEHEyIxQVFhgQgUkSMy8DVSY
 nKx/8QAGQEAAwEBAQAAAAAAAAAAAAAAAwQFAQIG/8QAIREAAgICAQUBAQAAAAAAAAAAAQIAAwQRI
 RITMUFRcSL/2gAMAwEAAhEDEQA/AJ5xGSqPWapH7pRl1kHYd9Y/nzhCl5zlxZNPeoSyiXEjcpT5a
 TYEgggJNx2PfD/xZYjSs/zYTct5EoxWWnGOX0qb03vqv/d4t84beBvDyloeE+pUhD7S0jll+ygr3
 AwvbYtfJlWtnsAROPpnOMWfXLq5LrigEOJKdIICXBZex7XHnDLkjM6I8j7Gc21HU/MYf+5SkJDfK
 QsBOkbblSdz6Y62zVwhypUmEyKPAg02oA3KgClCx5BSMRTi/wADplNhv1ymuRlhHW4w1cWHc2v6Y
 yvLUEbgLMNtbB3MDPtNTUc+1pbHW2JC1JIBIILrgFiPFgMGLX9K3DuiV/h2a/PkzDMedMVxHToSG
 idJT033C97nxgwYgmci9ANbmDWstUyqVybV3mAp2XVERA9eykIaRZQSR2uUrB+PTFHcpEZjTrdQU
 NslTBBUk6gOlJ0kAb+R+MTahyZkfijV8vLcaXSkTlSGtQPMbccCVqF7203Uq218Wl2RGpsRBWhrS
 4P3OkC59N8S7+LP6lnHZGRegc+JgZdzG7CpExVa5rymSCgKVrO5sAFd/wA+uF/PmZJiKfOgyqeqI
 8ptQCFOalIukkakkApv+MaFTh61XkN6kvPtnmtr2ABubgfwY86llpFQzNDgBwPKnKDRd0/qBsbqu
 r0038YAhLEKfMZvqVAWEyuDeYMx5UyOzTIiqNHZU+t9CXmFuLIXY3UQsC/cWt4wYtCuHeTCf6EwP
 YLWB/3Bi3pvs8qXr9iQ7JdGfzJlNXEJmH9vNqcl2SlOrUQlCtCUX/1SfHcnD3TJcWs0ZyM4nWokX
 STuD4t6bjGN9N+YaPC4D0ZqtyQylye5Dj3ST1Kd2vbsOuxJ23GHKs5QR96p+CtyK6s3Ups9J97Yn
 5dJD9XqVsHJUIFbgiJr8RDNSYmVOa4GWrpS2VDUo/5K7n5OPalVdZz/AJZFLqVMbjVBlwhRdHNS3
 uLgKQQLlNvf2ucN0LI8OGw9XK26uWqM0p1CHdkggX1EfHnHLnDHi7Go+bKFJzAy+I1JjuRg6wpS1
 rSVKUnUCodiq23gDY43GxmU9ZGzCZeal57ZbQ/OPyUfPHH/ADfl7MEyBCZo02K1IW206pBWSAEn9
 yFAHv6YMRrOtZpdT5L8N6JILkmQ8pagoO2UUhOsk3Oybjba573wYf7mvIiAwgd6bY5n/9k=
objectClass: top
objectClass: person
objectClass: organizationalPerson
objectClass: inetOrgPerson
objectClass: contactPerson
sn: Skliarouk
cn: Arie Skliarouk
givenName: Arie
o: The Company
telephoneNumber: 02-123-7575
facsimileTelephoneNumber: 02-123-1275
mobile: 052-123-4657
homePhone: 02-123-0317
 pbg0KYWJj
mail: arie@thecompany.com
telexNumber: skliarie
registeredAddress: skliarie
anniversary: 1976-04-20
marker: system
marker: engineer
marker: employee
custom1: system
custom2: engineer
custom3: employee

arie.ldif (2,282 bytes)   

Related Changesets

sogo: master 93dfbc5a

2016-12-29 14:12:45

ludovic

Details Diff
(feat) added photo support for LDIF import (fixes 0001084) Affected Issues
0001084
mod - UI/Contacts/UIxContactFolderActions.m Diff File

sogo: v2 7049519d

2016-12-29 14:12:45

ludovic

Details Diff
(feat) added photo support for LDIF import (fixes 0001084) Affected Issues
0001084
mod - UI/Contacts/UIxContactFolderActions.m Diff File

sogo: maint 1088b027

2016-12-29 14:12:45

ludovic


Committer: francis Details Diff
(feat) added photo support for LDIF import (fixes 0001084) Affected Issues
0001084
mod - UI/Contacts/UIxContactFolderActions.m Diff File

Issue History

Date Modified Username Field Change
2011-01-16 11:08 skliarie New Issue
2011-01-16 11:08 skliarie File Added: arie.ldif
2012-07-23 13:51 ludovic Relationship added related to 0001878
2016-12-29 14:13 ludovic Changeset attached => sogo master 93dfbc5a
2016-12-29 14:13 ludovic Assigned To => ludovic
2016-12-29 14:13 ludovic Resolution open => fixed
2016-12-29 14:14 ludovic Changeset attached => sogo v2 7049519d
2016-12-29 14:15 ludovic Status new => resolved
2016-12-29 14:15 ludovic Fixed in Version => 3.2.5
2017-01-09 15:49 francis Changeset attached => sogo maint 1088b027